<?php
/**
 * Import file cron view
 *
 * @package 	CSVIVirtueMart
 * @author 		Roland Dalmulder
 * @link 		http://www.csvimproved.com
 * @copyright 	Copyright (C) 2006 - 2012 RolandD Cyber Produksi
 * @license 	GNU/GPLv3 http://www.gnu.org/licenses/gpl-3.0.html
 * @version 	$Id: view.cron.php 1892 2012-02-11 11:01:09Z RolandD $
 */

defined( '_JEXEC' ) or die( 'Direct Access to this location is not allowed.' );

jimport( 'joomla.application.component.view' );

/**
 * Import file View
 *
 * @package CSVIVirtueMart
 */
class CsvivirtuemartViewImportFile extends JView {
	
	/**
	 * Cron import view 
	 * 
	 * @copyright 
	 * @author 		RolandD
	 * @todo 
	 * @see 
	 * @access 		public
	 * @param 
	 * @return 
	 * @since 		3.0
	 */
	public function display($tpl = null) {
		// Process the data
		$this->get('ProcessData');
		
		// Assign the data
		$this->assignRef('logresult', $this->get('Stats', 'log')); 
		
		// Display it all
		parent::display($tpl);
	}
}
?>